<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

t3lib_extMgm::allowTableOnStandardPages("tx_sbakronymmanager_data");

$TCA['tx_sbakronymmanager_data'] = Array (
	'ctrl' => Array (
		'dividers2tabs'=> true,
		'title' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data',
		'copyAfterDuplFields' => 'sys_language_uid', // LL
		'useColumnsForDefaultValues' => 'sys_language_uid', // LL
		'transOrigPointerField' => 'l18n_parent', // LL
		'transOrigDiffSourceField' => 'l18n_diffsource', // LL
		'languageField' => 'sys_language_uid', // LL
		'label' => 'word',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY word',
		'delete' => 'deleted',
		'enablecolumns' => Array (
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_sbakronymmanager_data.gif',
	),
	'feInterface' => Array (
		'fe_admin_fieldList' => 'hidden, word, mean, lang, type, sys_language, sys_language_uid, glossary, showglossary',
	)
);

$TCA['tx_sbakronymmanager_settings'] = Array (
	'ctrl' => Array (
		'title' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_settings',
		'label' => 'uid',
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY crdate',
		'delete' => 'deleted',
		'enablecolumns' => Array (
			'disabled' => 'hidden',
		),
		'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY).'tca.php',
		'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_sbakronymmanager_settings.gif',
	),
	'feInterface' => Array (
		'fe_admin_fieldList' => 'hidden, type, color, bold, italic, underline, uppercase',
	)
);
t3lib_div::loadTCA('tt_content');
$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi2']='layout,select_key';


t3lib_extMgm::addPlugin(array('LLL:EXT:sb_akronymmanager/locallang_db.xml:tt_content.list_type_pi2', $_EXTKEY.'_pi2'),'list_type');


t3lib_extMgm::addStaticFile($_EXTKEY,"pi2/static/","acronymmanager-glossary");

if (TYPO3_MODE=='BE')	{

	t3lib_extMgm::addModule('web','txsbakronymmanagerM1','',t3lib_extMgm::extPath($_EXTKEY).'mod1/');
}
?>