#
# Table structure for table 'tx_sbakronymmanager_data'
#
CREATE TABLE tx_sbakronymmanager_data (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	word tinytext NOT NULL,
	mean tinytext NOT NULL,
	lang tinytext NOT NULL,
	type varchar(7) DEFAULT '' NOT NULL,
	sys_language int(11) DEFAULT '0' NOT NULL,
	sys_language_uid int(11) DEFAULT '0' NOT NULL,
	l18n_parent int(11) DEFAULT '0' NOT NULL,
	l18n_diffsource mediumblob NOT NULL,
    glossary text NOT NULL,
    showglossary text NOT NULL,
#	image tinytext NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid)
);

#
# Table structure for table 'tx_sbakronymmanager_index'
#
CREATE TABLE tx_sbakronymmanager_index (
    uid int(11) NOT NULL auto_increment,
    pid int(11) DEFAULT '0' NOT NULL,
    tstamp int(11) DEFAULT '0' NOT NULL,
    crdate int(11) DEFAULT '0' NOT NULL,
    cruser_id int(11) DEFAULT '0' NOT NULL,
    page_id int(11) DEFAULT '0' NOT NULL,
    sys_language_uid int(11) DEFAULT '0' NOT NULL,
    page_link tinytext NOT NULL,
	tx_sbakronymmanager_data_id int(11) DEFAULT '0' NOT NULL,
    word tinytext NOT NULL,

    PRIMARY KEY (uid),
    KEY parent (pid)
);





#
# Table structure for table 'tx_sbakronymmanager_settings'
#
CREATE TABLE tx_sbakronymmanager_settings (
	uid int(11) NOT NULL auto_increment,
	pid int(11) DEFAULT '0' NOT NULL,
	tstamp int(11) DEFAULT '0' NOT NULL,
	crdate int(11) DEFAULT '0' NOT NULL,
	cruser_id int(11) DEFAULT '0' NOT NULL,
	deleted tinyint(4) DEFAULT '0' NOT NULL,
	hidden tinyint(4) DEFAULT '0' NOT NULL,
	type varchar(7) DEFAULT '0' NOT NULL,
	color varchar(30) DEFAULT '0' NOT NULL,
	bold tinyint(3) DEFAULT '0' NOT NULL,
	italic tinyint(3) DEFAULT '0' NOT NULL,
	underline tinyint(3) DEFAULT '0' NOT NULL,
	uppercase tinyint(3) DEFAULT '0' NOT NULL,

	PRIMARY KEY (uid),
	KEY parent (pid)
);