<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA['tx_sbakronymmanager_data'] = Array (
	'ctrl' => $TCA['tx_sbakronymmanager_data']['ctrl'],
	'interface' => Array (
		'showRecordFieldList' => 'hidden,word,mean,lang,type,sys_language,sys_language_uid,glossary'
		),
	'feInterface' => $TCA['tx_sbakronymmanager_data']['feInterface'],
	'columns' => Array (
		'hidden' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.hidden',
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'word' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.word',
			'config' => Array (
				'type' => 'input',
				'size' => '30',
				'eval' => 'required',
			)
		),
		'mean' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.mean',
			'config' => Array (
				'type' => 'input',
				'size' => '30',
			)
		),
		'lang' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.lang',
			'config' => Array (
				'type' => 'select',
				'items' => Array(
					Array('de','de'),
					Array('en','en'),
					Array('fr','fr'),
					Array('es','es'),
					Array('la','la'),
					Array('--','--'),
					Array('aa','aa'),
					Array('ab','ab'),
					Array('af','af'),
					Array('am','am'),
					Array('ar','ar'),
					Array('as','as'),
					Array('ay','ay'),
					Array('az','az'),
					Array('ba','ba'),
					Array('be','be'),
					Array('bg','bg'),
					Array('bh','bh'),
					Array('bi','bi'),
					Array('bn','bn'),
					Array('bo','bo'),
					Array('br','br'),
					Array('ca','ca'),
					Array('co','co'),
					Array('cs','cs'),
					Array('cy','cy'),
					Array('da','da'),
					Array('dz','dz'),
					Array('el','el'),
					Array('eo','eo'),
					Array('et','et'),
					Array('eu','eu'),
					Array('fa','fa'),
					Array('fi','fi'),
					Array('fj','fj'),
					Array('fo','fo'),
					Array('fy','fy'),
					Array('ga','ga'),
					Array('gd','gd'),
					Array('gl','gl'),
					Array('gn','gn'),
					Array('gu','gu'),
					Array('ha','ha'),
					Array('he','he'),
					Array('hi','hi'),
					Array('hr','hr'),
					Array('hu','hu'),
					Array('hy','hy'),
					Array('ia','ia'),
					Array('id','id'),
					Array('ie','ie'),
					Array('ik','ik'),
					Array('is','is'),
					Array('it','it'),
					Array('iu','iu'),
					Array('iw','iw'),
					Array('ja','ja'),
					Array('ji','ji'),
					Array('jv','jv'),
					Array('ka','ka'),
					Array('kk','kk'),
					Array('kl','kl'),
					Array('km','km'),
					Array('kn','kn'),
					Array('ko','ko'),
					Array('ks','ks'),
					Array('ku','ku'),
					Array('ky','ky'),
					Array('ln','ln'),
					Array('lo','lo'),
					Array('lt','lt'),
					Array('lv','lv'),
					Array('mg','mg'),
					Array('mi','mi'),
					Array('mk','mk'),
					Array('ml','ml'),
					Array('mn','mn'),
					Array('mo','mo'),
					Array('mr','mr'),
					Array('ms','ms'),
					Array('mt','mt'),
					Array('my','my'),
					Array('na','na'),
					Array('ne','ne'),
					Array('nl','nl'),
					Array('no','no'),
					Array('oc','oc'),
					Array('om','om'),
					Array('or','or'),
					Array('pa','pa'),
					Array('pl','pl'),
					Array('ps','ps'),
					Array('pt','pt'),
					Array('qu','qu'),
					Array('rm','rm'),
					Array('rn','rn'),
					Array('ro','ro'),
					Array('ru','ru'),
					Array('rw','rw'),
					Array('sa','sa'),
					Array('sd','sd'),
					Array('sg','sg'),
					Array('sh','sh'),
					Array('si','si'),
					Array('sk','sk'),
					Array('sl','sl'),
					Array('sm','sm'),
					Array('sn','sn'),
					Array('so','so'),
					Array('sq','sq'),
					Array('sr','sr'),
					Array('ss','ss'),
					Array('st','st'),
					Array('su','su'),
					Array('sv','sv'),
					Array('sw','sw'),
					Array('ta','ta'),
					Array('te','te'),
					Array('tg','tg'),
					Array('th','th'),
					Array('ti','ti'),
					Array('tk','tk'),
					Array('tl','tl'),
					Array('tn','tn'),
					Array('to','to'),
					Array('tr','tr'),
					Array('ts','ts'),
					Array('tt','tt'),
					Array('tw','tw'),
					Array('ug','ug'),
					Array('uk','uk'),
					Array('ur','ur'),
					Array('uz','uz'),
					Array('vi','vi'),
					Array('vo','vo'),
					Array('wo','wo'),
					Array('xh','xh'),
					Array('yi','yi'),
					Array('yo','yo'),
					Array('za','za'),
					Array('zh','zh'),
					Array('zu','zu'),
				),
				'size' => '1',
				'minitems' => 0,
				'maxitems' => 1,
				'eval' => 'required',
			)
		),
		'type' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.type',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					//Array('LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.type.I.0', 'span'),
					Array('LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.type.I.1', 'abbr'),
					Array('LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.type.I.2', 'acronym'),
					Array('LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.type.I.3', 'term'),
					Array('LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.type.I.4', 'span'),
					//Array('LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.type.I.5', 'nowrap'),
				),
				'size' => 1,
				'maxitems' => 1,
			)
		),
		'sys_language_uid' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_data.sys_language',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'sys_language',
				'foreign_table_where' => 'AND sys_language.pid=###CURRENT_PID### ORDER BY sys_language.uid',
				'items' => Array (
					Array (
						'LLL:EXT:lang/locallang_general.php:LGL.allLanguages',
						-1
					),
					Array (
						'LLL:EXT:lang/locallang_general.php:LGL.default_value',
						0
					)
				)
			)
		),
		'l18n_parent' => Array (
			'displayCond' => 'FIELD:sys_language_uid:>:0',
			'exclude' => 0,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.l18n_parent',
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array (
						'',
						0
					),
				),
				'foreign_table' => 'tx_sbakronymmanager_data',
				'foreign_table_where' => 'AND tx_sbakronymmanager_data.uid=###REC_FIELD_l18n_parent### AND tx_sbakronymmanager_data.sys_language_uid IN (-1,0)',
				'wizards' => Array (
					'_PADDING' => 2,
					'_VERTICAL' => 1,
					'edit' => Array (
						'type' => 'popup',
						'title' => 'edit default language version of this record ',
						'script' => 'wizard_edit.php',
						'popup_onlyOpenIfSelected' => 1,
						'icon' => 'edit2.gif',
						'JSopenParams' => 'height=600,width=700,status=0,menubar=0,scrollbars=1,resizable=1',

					)
				)
			)
		),
		'l18n_diffsource' => Array (
			'config' => Array (
				'type' => 'passthrough'
			)
		),
		'glossary' => Array (
            'exclude' => 0,
            'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.xml:tx_sbakronymmanager_data.glossary',
            'config' => Array (
                'type' => 'text',
                'cols' => '30',
                'rows' => '5',
            )
        ),
		'showglossary' => Array (
            'exclude' => 0,
            'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.xml:tx_sbakronymmanager_data.showglossary',
            'config' => Array (
				'type' => 'check',
				'default' => '0'
            )
        ),


/*	    'image' => Array (
	        'exclude' => 0,
	        'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.xml:tx_sbakronymmanager_data.image',
	        'config' => Array (
			'form_type'=>'user',
			'userFunc'=>'EXT:dam/lib/class.tx_dam_tcefunc.php:&tx_dam_tceFunc->getSingleField_typeMedia',
			'userProcessClass'=>'EXT:mmforeign/class.tx_mmforeign_tce.php:tx_mmforeign_tce',
			'type'=>'group',
			     	'internal_type'=>'db',
					'allowed'=>'tx_dam',
					'prepend_tname'=>'1',
					'MM'=>'tx_sbakronymmanager_data_image_mm_tx_dam',
					'MM_foreign_select'=>'1',
					'MM_match_fields' => Array (
						'ident'=>'glossary_image',
						),
					'allowed_types'=>'gif,jpg,jpeg,tif,tga,png,',
					'maxitems' => '1',
					'show_thumbs' => '1',
					'size' => '1',
					'minitems' => '0',
					'autoSizeMax'=>30,
	        )
	    ),*/
	),
	//glossary;;;richtext[cut|copy|paste|formatblock|textcolor|bold|italic|underline|left|center|right|orderedlist|unorderedlist|outdent|indent|link|table|image|line|chMode]:rte_transform[mode=ts_css|imgpath=uploads/tx_sbakronymmanager/rte/],
	/*Array('showitem' => 'hidden;;1;;1-1-1, word, mean, lang, type, sys_language,
				glossary;;;richtext[formatblock|link|image]:rte_transform[mode=ts_css|imgpath=uploads/tx_sbakronymmanager/rte/],
				glossary_anchor*/	
	'types' => Array (
		'0' => Array(
				'showitem' =>'
					word;;1,
					type;;2;;1-1-1,
					
				 	glossary;;3;richtext[bold|italic|underline|unorderedlist|insertcharacter|link|removeformat|chMode]:rte_transform[mode=ts];1-1-1,
	  				
		'),
	),
	//glossary;;;richtext[formatblock|link|image]:rte_transform[mode=ts_css|imgpath=uploads/tx_sbakronymmanager/rte/];1-1-1,

	'palettes' => Array (
		'1' => 	Array('showitem' => 'mean,hidden;Verstecken:',
				'canNotCollapse'=> 1
		),
		'2' => 	Array('showitem' => 'lang,',
				'canNotCollapse'=> 1
		),
		'3' => 	Array('showitem' => 'showglossary,',
				'canNotCollapse'=> 1
		),
	)
);



$TCA['tx_sbakronymmanager_settings'] = Array (
	'ctrl' => $TCA['tx_sbakronymmanager_settings']['ctrl'],
	'interface' => Array (
		'showRecordFieldList' => 'hidden,type,color,bold,italic,underline,uppercase'
	),
	'feInterface' => $TCA['tx_sbakronymmanager_settings']['feInterface'],
	'columns' => Array (
		'hidden' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.hidden',
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'type' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_settings.type',
			'config' => Array (
				'type' => 'input',
				'size' => '30',
				'max' => '7',
				'eval' => 'required,trim',
			)
		),
		'color' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_settings.color',
			'config' => Array (
				'type' => 'input',
				'size' => '30',
				'max' => '30',
				'eval' => 'trim',
			)
		),
		'bold' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_settings.bold',
			'config' => Array (
				'type' => 'check',
			)
		),
		'italic' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_settings.italic',
			'config' => Array (
				'type' => 'check',
			)
		),
		'underline' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_settings.underline',
			'config' => Array (
				'type' => 'check',
			)
		),
		'uppercase' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:sb_akronymmanager/locallang_db.php:tx_sbakronymmanager_settings.uppercase',
			'config' => Array (
				'type' => 'check',
			)
		),
	),
	//'0' => Array('showitem' => 'hidden;;1;;1-1-1, type, color, bold, italic, underline, uppercase')
	'types' => Array (
		'0' => Array('showitem' => 'hidden;;1;;1-1-1, type, color, bold, italic, underline, uppercase')
	),
	'palettes' => Array (
		'1' => Array('showitem' => '')
	)
);
?>